Subject: Re: [PATCH net] packet: tpacket_v3: do not trigger bug() on wrong header status

From: Daniel Borkmann <[email-masked]>
Date: Thu, 09 May 2013 20:32:52 +0200

On 05/09/2013 08:11 PM, chetan loke wrote:
> On Wed, May 8, 2013 at 8:51 PM, Daniel Borkmann <[email-masked]> wrote:
[..]
> Normally people(sane code) will look for the return value from a
> syscall. mmap is special because there's no syscall to run once you
> mmap/setup the rings. Since there's no syscall there's no return
> value. That's why we try to detect it at run-time and try to WARN the
> user if we can.

Well, I'm aware of all the internals and the problem statement. No need
for further explanations.

I also don't want to have endless, tiring discussions on netdev about a
WARN_ON_ONCE statement either.

I still don't like it for the reasons I stated ;-) but if you want to send
a patch, I'm not going to stand in the way.